request_refresh_rate(3)

NAME
request_refresh_rate

SYNOPSIS
#include <allegro.h>

void request_refresh_rate(int rate);

DESCRIPTION
Requests that the next call to set_gfx_mode() try to use the specified refresh rate, if possible. Not all drivers are able to control this at all, and even when they can, not all rates will be possible on all hardware, so the actual settings may differ from what you requested. After you call set_gfx_mode(), you can use get_refresh_rate() to find out what was actually selected. At the moment only the DOS VESA 3.0, X DGA 2.0 and some Windows DirectX drivers support this function. The speed is specified in Hz, eg. 60, 70. To return to the normal default selection, pass a rate value of zero.

SEE ALSO
set_gfx_mode(3), get_refresh_rate(3)